﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace CheckBoxTest
{
    public partial class index : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            //ポストバックのときは処理しない
            if (this.IsPostBack)
            {
                return;
            }

            //RadioButtonListコントロールに項目をセットする
            this.rdoList.Items.Add("りんご");
            this.rdoList.Items.Add("ばなな");
            this.rdoList.Items.Add("みかん");
            this.rdoList.Items.Add("もも");
            this.rdoList.Items.Add("なし");
        }

        protected void btnSend_Click(object sender, EventArgs e)
        {
            //チェックの状態を表示
            if (this.rdoOn.Checked)
            {
                this.lblMessageTop.Text = "ON";
            }
            else
            {
                this.lblMessageTop.Text = "OFF";
            }
        }
        
        protected void rdoList_SelectedIndexChanged(object sender, EventArgs e)
        {
            //チェックされている項目をループして検索
            this.lblMessageBottom.Text = string.Empty;
            foreach (ListItem li in this.rdoList.Items)
            {
                if (li.Selected)
                {
                    this.lblMessageBottom.Text = li.Value;
                }
            }
        }
    }
}